Bug 110434 - CAN-2003-0542 local buffer overflow in config file parsing
CAN-2003-0542 local buffer overflow in config file parsing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
: Security
Depends On:
Blocks: 106472
  Show dependency treegraph
 
Reported: 2003-11-19 11:07 EST by Joe Orton
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-14 09:51:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2003-11-19 11:07:17 EST
CAN-2003-0542 affects 2.0.46
                                                                     
                                                 
Description:
Multiple stack-based buffer overflows in (1) mod_alias and (2)
mod_rewrite for Apache before 2.0.48 allow attackers to can create
configuration files to cause a denial of service (crash) or execute
arbitrary code via a regular expression with more than 9 captures.
                                                                     
                                                 
Version:
This issue affects the apache package shipped with all variants of Red
Hat Enterprise Linux 3.
Comment 2 Mark J. Cox (Product Security) 2004-01-14 09:51:01 EST
Fixed by RHSA-2004:015, see 
http://rhn.redhat.com/errata/RHSA-2004-015.html

Note You need to log in before you can comment on or make changes to this bug.